package dao;

import java.util.ArrayList;

import model.TagFile;
import exception.PersistenceException;

public interface TagFileDAO {
	
	public <T> T openPersistence();
	public <T> void closePersistence(T persistence);	
	
	public void salvar(TagFile tf) throws PersistenceException;
	public void remover(Integer codigoTag, Integer codigoDataFile) throws PersistenceException;
	public ArrayList<TagFile> recuperarTodos() throws PersistenceException;

}
