package model;

import dao.DataFileDAO;
import dao.TagDAO;
import dao.TagFileDAO;
import factory.DAOFactory;

public class PersistenceManager {

	DAOFactory daoFactory  = DAOFactory.getDAOfactory(DAOFactory.JDBC);
	DataFileDAO datafileDAO = daoFactory.getDataFileDAO();
	TagDAO tagDAO = daoFactory.getTagDAO();
	TagFileDAO tagfileDAO = daoFactory.getTagFileDAO();
	
}
