package dao;

import java.util.Hashtable;

import model.DataFile;
import exception.PersistenceException;

public interface DataFileDAO {
	
	public <T> T openPersistence();
	public <T> void closePersistence(T persistence);	
	
	public Integer salvar(DataFile datafile) throws PersistenceException;
	public void atualizar(DataFile datafile) throws PersistenceException;
	public DataFile recuperarPorId(Integer codigoDataFile) throws PersistenceException;
	public DataFile recuperarPorPath(String pathDataFile) throws PersistenceException;
	public void remover(Integer codigoDataFile) throws PersistenceException;
	public Hashtable<String, DataFile> recuperarTodos() throws PersistenceException;;
 
}
