package model;

import java.util.Hashtable;
import java.util.Vector;




public class Tag{

	private Integer id;
	private String name;
	Hashtable <String, DataFile> dataFiles = new Hashtable <String, DataFile>();

	/*
	private HashMap<Tag, Integer> associatedTags = new HashMap<Tag, Integer>();
	*/
	public Tag(){}
	
	public Tag(String name) {
		this.name = name;
	}

	/**
	 * Mtodo para comparao entre duas Tags
	 * @param   o	Objeto Tag
	 * @return	true, caso seja a mesma Tag
	 * 			false, caso contrrio
	 */
	public int compareTo(Object o) {
		if (this == o)	return 0;
		else return -1;
	}
	
	/**
	 * Adiciona o DataFile df a Tag
	 * @param	df		DataFile a ser adicionado
	 */
	public void addDataFile(DataFile df) {
		this.dataFiles.put(df.getId().toString(), df);
	}
	
	/**
	 * 
	 * esse aqui deve ser removido
	 * 
	 
	public HashMap<Tag, Integer> getAssociatedTags() {
		Vector<Tag> assocTags = new Vector<Tag>();
		for (Tag t : this.associatedTags.keySet()) {
			
		}
		return this.associatedTags;
	}
	*/
	/**
	 * esse tb deve ser removido
	 * @param t
	 
	public void associateTag(Tag t) {
		Integer i = this.associatedTags.get(t);
		if (i == null)
			this.associatedTags.put(t, 1);
		else
			this.associatedTags.put(t, i + 1);
	}
	
*/
	/**
	 * Obtm um conjunto com os DataFiles pertencentes a Tag
	 * @return	Um Vector contendo os Datafiles pertencentes a Tag
	 */
	public Vector<DataFile> getDataFiles() {
		Vector<DataFile> dfs = new Vector<DataFile>();
		for (String strDataFile : this.dataFiles.keySet()) {
			dfs.add(this.dataFiles.get(strDataFile));
		}
		return dfs;
	}
	

	/**
	 * Verifica se a Tag contm o DataFile df
	 * @param df	Um DataFile
	 * @return		true, caso contenha o DataFile
	 * 				false, caso contrrio
	 */
	public boolean contemDataFile(DataFile df) {
		return this.dataFiles.containsKey(df.getId().toString());
	}
	
	/**
	 * Verifica se a Tag contm o DataFile de id datafileId
	 * @param 		datafileId	O id do Datafile
	 * @return		true, caso contenha o DataFile
	 * 				false, caso contrio
	 */
	public boolean contemDataFile(String datafileId) {
		return this.dataFiles.containsKey(datafileId);
	}
	
	/**
	 * Obtm o id da Tag
	 * @return	O id da Tag
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * Define o id da Tag
	 * @param id		O id da Tag
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * Obtm o nome da Tag
	 * @return	O nome da Tag
	 */
	public String getName() {
		return name;
	}

	/**
	 * Define o nome da Tag
	 * @param name		O nome da Tag
	 */
	public void setName(String name) {
		this.name = name;
	}
	
	/**
	 * Representao em String da Tag
	 */
	public String toString() {
		return this.name;

	}
	
}


