package model;

public class TagFile {
	String nameTag;
	Integer idTag;
	Integer idFile;

	public TagFile() {}

	public TagFile(Integer idTag, String nameTag, Integer idFile) {
		this.idTag = idTag;
		this.nameTag = nameTag;
		this.idFile = idFile;
	}

	/**
	 * Obtm o nome da Tag
	 * @return	O nome da Tag
	 */
	public String getNameTag() {
		return nameTag;
	}

	/**
	 * Define o nome da Tag
	 * @param nameTag	O nome da Tag
	 */
	public void setNameTag(String nameTag) {
		this.nameTag = nameTag;
	}

	/**
	 * Obtm o id do Datafile
	 * @return		O id do DataFile
	 */
	public Integer getIdFile() {
		return idFile;
	}

	/**
	 * Define o id do Datafile
	 * @param idFile	O id do DataFile
	 */
	public void setIdFile(Integer idFile) {
		this.idFile = idFile;
	}

	/**
	 * Obtm o Id da Tag
	 * @return	O id da Tag
	 */
	public Integer getIdTag() {
		return idTag;
	}
	
	/**
	 * Define o id da Tag
	 * @param idTag		O id da Tag
	 */
	public void setIdTag(Integer idTag) {
		this.idTag = idTag;
	}
	
	/**
	 * Representao do TagFile em String
	 */
	public String toString() {
		return "(" + this.idTag.toString() + "," + this.idFile.toString() + ")";
	}
}